import { InitialState } from './types';
export type Param = {
    path?: string[];
    initialState: InitialState;
};
export declare const useColumnView: <T extends Record<string, unknown>>(options?: Param) => {
    root: import("./utils/createItemsProps").CreateItemsPropsResult<T>;
    path: import("./utils/createItemsProps").CreateItemsPropsResult<T>;
    insert: (item: T, parentId?: string) => void;
    selectNode: (id: string) => void;
    data: Record<string, import("./types").ColumnItem<T>>;
};
