"use strict";
Object.defineProperty(exports, "buildInitialState", {
    enumerable: true,
    get: ()=>buildInitialState
});
const _extends = require("@swc/helpers/lib/_extends.js").default;
const _lodash = require("lodash");
const buildInitialState = (nodes)=>{
    const data = nodes.reduce((acc, item)=>{
        var _nodes_find;
        const parentId = (_nodes_find = nodes.find((node)=>node.children.includes(item.id))) == null ? void 0 : _nodes_find.id;
        acc[item.id] = _extends({}, item, {
            parentId,
            data: (0, _lodash.omit)(item, [
                'children'
            ])
        });
        return acc;
    }, {});
    return {
        path: [],
        root: (0, _lodash.values)(data).filter((node)=>!node.parentId).map((node)=>node.id),
        data
    };
};

//# sourceMappingURL=index.js.map